Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770,v
retrieving revision 1.4
diff -u -p -r1.4 config.sh-arm-linux-n770
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	14 Aug 2017 13:48:45 -0000	1.4
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	14 Sep 2017 02:21:44 -0000
@@ -36,8 +36,8 @@ api_subversion='0'
 api_version='24'
 api_versionstring='5.24.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.24.2/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.24.2/armv4l-linux'
+archlib='/usr/lib/perl5/5.24.3/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.24.3/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.24.2/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.24.3/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -699,7 +699,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.24.2/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.24.3/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -707,13 +707,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.24.2'
+installprivlib='./install_me_here/usr/lib/perl5/5.24.3'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.24.2/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.24.3/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.24.2'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.24.3'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -841,8 +841,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.24.2'
-privlibexp='/usr/lib/perl5/5.24.2'
+privlib='/usr/lib/perl5/5.24.3'
+privlibexp='/usr/lib/perl5/5.24.3'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -903,17 +903,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.24.2/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.24.2/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.24.3/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.24.3/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.24.2'
+sitelib='/usr/lib/perl5/site_perl/5.24.3'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.24.2'
+sitelibexp='/usr/lib/perl5/site_perl/5.24.3'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -950,7 +950,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='2'
+subversion='3'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1035,8 +1035,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.24.2'
-version_patchlevel_string='version 24 subversion 2'
+version='5.24.3'
+version_patchlevel_string='version 24 subversion 3'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1050,7 +1050,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=24
-PERL_SUBVERSION=2
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=24
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/NetWare/Makefile
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/NetWare/Makefile,v
retrieving revision 1.4
diff -u -p -r1.4 Makefile
--- gnu/usr.bin/perl/NetWare/Makefile	14 Aug 2017 13:48:45 -0000	1.4
+++ gnu/usr.bin/perl/NetWare/Makefile	14 Sep 2017 02:21:44 -0000
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.24.2 for NetWare"
+MODULE_DESC     = "Perl 5.24.3 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER		= mwccnlm -c
 CPP_COMPILER	= mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER	= \5.24.2
+INST_VER	= \5.24.3
 
 #
 # Comment this out if you DON'T want your perl installation to have
Index: gnu/usr.bin/perl/NetWare/config_H.wc
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/NetWare/config_H.wc,v
retrieving revision 1.4
diff -u -p -r1.4 config_H.wc
--- gnu/usr.bin/perl/NetWare/config_H.wc	14 Aug 2017 13:48:45 -0000	1.4
+++ gnu/usr.bin/perl/NetWare/config_H.wc	14 Sep 2017 02:21:44 -0000
@@ -1042,7 +1042,7 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.24.2\\lib\\NetWare-x86-multi-thread"		/**/
+#define ARCHLIB "c:\\perl\\5.24.3\\lib\\NetWare-x86-multi-thread"		/**/
 /*#define ARCHLIB_EXP ""	/**/
 
 /* ARCHNAME:
@@ -1073,8 +1073,8 @@
  *	This symbol is the filename expanded version of the BIN symbol, for
  *	programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.24.2\\bin\\NetWare-x86-multi-thread"	/**/
-#define BIN_EXP "c:\\perl\\5.24.2\\bin\\NetWare-x86-multi-thread"	/**/
+#define BIN "c:\\perl\\5.24.3\\bin\\NetWare-x86-multi-thread"	/**/
+#define BIN_EXP "c:\\perl\\5.24.3\\bin\\NetWare-x86-multi-thread"	/**/
 
 /* BYTEORDER:
  *	This symbol holds the hexadecimal constant defined in byteorder,
@@ -3047,7 +3047,7 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.24.2\\lib\\NetWare-x86-multi-thread"		/**/
+#define SITEARCH "c:\\perl\\site\\5.24.3\\lib\\NetWare-x86-multi-thread"		/**/
 /*#define SITEARCH_EXP ""	/**/
 
 /* SITELIB:
@@ -3070,7 +3070,7 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.24.2\\lib"		/**/
+#define SITELIB "c:\\perl\\site\\5.24.3\\lib"		/**/
 /*#define SITELIB_EXP ""	/**/
 #define SITELIB_STEM ""		/**/
 
Index: gnu/usr.bin/perl/Porting/Maintainers.pl
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/Maintainers.pl,v
retrieving revision 1.13
diff -u -p -r1.13 Maintainers.pl
--- gnu/usr.bin/perl/Porting/Maintainers.pl	14 Aug 2017 13:49:43 -0000	1.13
+++ gnu/usr.bin/perl/Porting/Maintainers.pl	14 Sep 2017 02:21:45 -0000
@@ -1374,7 +1374,7 @@ use File::Glob qw(:case);
     },
 
     'Time::HiRes' => {
-        'DISTRIBUTION' => 'RJBS/Time-HiRes-1.9728.tar.gz',
+        'DISTRIBUTION' => 'JHI/Time-HiRes-1.9741.tar.gz',
         'FILES'        => q[dist/Time-HiRes],
     },
 
Index: gnu/usr.bin/perl/Porting/cmpVERSION.pl
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/cmpVERSION.pl,v
retrieving revision 1.3
diff -u -p -r1.3 cmpVERSION.pl
--- gnu/usr.bin/perl/Porting/cmpVERSION.pl	5 Feb 2017 00:31:54 -0000	1.3
+++ gnu/usr.bin/perl/Porting/cmpVERSION.pl	14 Sep 2017 02:21:45 -0000
@@ -81,6 +81,7 @@ if ($exclude_upstream) {
 # usually because they pull in their version from some other file.
 my %skip;
 @skip{
+    'cpan/ExtUtils-Install/t/lib/MakeMaker/Test/Setup/BFD.pm', # just a test module
     'cpan/ExtUtils-MakeMaker/t/lib/MakeMaker/Test/Setup/BFD.pm', # just a test module
     'cpan/ExtUtils-MakeMaker/t/lib/MakeMaker/Test/Setup/XS.pm',  # just a test module
     'cpan/Math-BigInt/t/Math/BigFloat/Subclass.pm', # just a test module
Index: gnu/usr.bin/perl/Porting/config.sh
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/config.sh,v
retrieving revision 1.7
diff -u -p -r1.7 config.sh
--- gnu/usr.bin/perl/Porting/config.sh	14 Aug 2017 13:48:45 -0000	1.7
+++ gnu/usr.bin/perl/Porting/config.sh	14 Sep 2017 02:21:45 -0000
@@ -43,8 +43,8 @@ api_subversion='0'
 api_version='24'
 api_versionstring='5.24.0'
 ar='ar'
-archlib='/tmp/mblead/lib/perl5/5.24.2/darwin-2level'
-archlibexp='/tmp/mblead/lib/perl5/5.24.2/darwin-2level'
+archlib='/tmp/mblead/lib/perl5/5.24.3/darwin-2level'
+archlibexp='/tmp/mblead/lib/perl5/5.24.3/darwin-2level'
 archname64=''
 archname='darwin-2level'
 archobjs=''
@@ -829,7 +829,7 @@ incpath=''
 incpth='/usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include'
 inews=''
 initialinstalllocation='/tmp/mblead/bin'
-installarchlib='/tmp/mblead/lib/perl5/5.24.2/darwin-2level'
+installarchlib='/tmp/mblead/lib/perl5/5.24.3/darwin-2level'
 installbin='/tmp/mblead/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -837,13 +837,13 @@ installman1dir='/tmp/mblead/man/man1'
 installman3dir='/tmp/mblead/man/man3'
 installprefix='/tmp/mblead'
 installprefixexp='/tmp/mblead'
-installprivlib='/tmp/mblead/lib/perl5/5.24.2'
+installprivlib='/tmp/mblead/lib/perl5/5.24.3'
 installscript='/tmp/mblead/bin'
-installsitearch='/tmp/mblead/lib/perl5/site_perl/5.24.2/darwin-2level'
+installsitearch='/tmp/mblead/lib/perl5/site_perl/5.24.3/darwin-2level'
 installsitebin='/tmp/mblead/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/tmp/mblead/lib/perl5/site_perl/5.24.2'
+installsitelib='/tmp/mblead/lib/perl5/site_perl/5.24.3'
 installsiteman1dir='/tmp/mblead/man/man1'
 installsiteman3dir='/tmp/mblead/man/man3'
 installsitescript='/tmp/mblead/bin'
@@ -968,7 +968,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='aaron@daybreak.nonet'
 perllibs='-lpthread -ldl -lm -lutil -lc'
-perlpath='/tmp/mblead/bin/perl5.24.2'
+perlpath='/tmp/mblead/bin/perl5.24.3'
 pg='pg'
 phostname='hostname'
 pidtype='pid_t'
@@ -977,8 +977,8 @@ pmake=''
 pr=''
 prefix='/tmp/mblead'
 prefixexp='/tmp/mblead'
-privlib='/tmp/mblead/lib/perl5/5.24.2'
-privlibexp='/tmp/mblead/lib/perl5/5.24.2'
+privlib='/tmp/mblead/lib/perl5/5.24.3'
+privlibexp='/tmp/mblead/lib/perl5/5.24.3'
 procselfexe=''
 prototype='define'
 ptrsize='8'
@@ -1044,17 +1044,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 6, 0'
 sig_size='33'
 signal_t='void'
-sitearch='/tmp/mblead/lib/perl5/site_perl/5.24.2/darwin-2level'
-sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.24.2/darwin-2level'
+sitearch='/tmp/mblead/lib/perl5/site_perl/5.24.3/darwin-2level'
+sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.24.3/darwin-2level'
 sitebin='/tmp/mblead/bin'
 sitebinexp='/tmp/mblead/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/tmp/mblead/lib/perl5/site_perl/5.24.2'
+sitelib='/tmp/mblead/lib/perl5/site_perl/5.24.3'
 sitelib_stem='/tmp/mblead/lib/perl5/site_perl'
-sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.24.2'
+sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.24.3'
 siteman1dir='/tmp/mblead/man/man1'
 siteman1direxp='/tmp/mblead/man/man1'
 siteman3dir='/tmp/mblead/man/man3'
@@ -1080,7 +1080,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/tmp/mblead/bin/perl5.24.2'
+startperl='#!/tmp/mblead/bin/perl5.24.3'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1093,7 +1093,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='2'
+subversion='3'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1192,8 +1192,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.24.2'
-version_patchlevel_string='version 24 subversion 2'
+version='5.24.3'
+version_patchlevel_string='version 24 subversion 3'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1203,7 +1203,7 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=24
-PERL_SUBVERSION=2
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=24
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config_H
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/config_H,v
retrieving revision 1.19
diff -u -p -r1.19 config_H
--- gnu/usr.bin/perl/Porting/config_H	14 Aug 2017 13:48:45 -0000	1.19
+++ gnu/usr.bin/perl/Porting/config_H	14 Sep 2017 02:21:45 -0000
@@ -960,8 +960,8 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/pro/lib/perl5/5.24.2/i686-linux-64int-ld"		/**/
-#define ARCHLIB_EXP "/pro/lib/perl5/5.24.2/i686-linux-64int-ld"		/**/
+#define ARCHLIB "/pro/lib/perl5/5.24.3/i686-linux-64int-ld"		/**/
+#define ARCHLIB_EXP "/pro/lib/perl5/5.24.3/i686-linux-64int-ld"		/**/
 
 /* ARCHNAME:
  *	This symbol holds a string representing the architecture name.
@@ -2068,8 +2068,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/pro/lib/perl5/5.24.2"		/**/
-#define PRIVLIB_EXP "/pro/lib/perl5/5.24.2"		/**/
+#define PRIVLIB "/pro/lib/perl5/5.24.3"		/**/
+#define PRIVLIB_EXP "/pro/lib/perl5/5.24.3"		/**/
 
 /* PTRSIZE:
  *	This symbol contains the size of a pointer, so that the C preprocessor
@@ -2119,8 +2119,8 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/pro/lib/perl5/site_perl/5.24.2/i686-linux-64int-ld"		/**/
-#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.24.2/i686-linux-64int-ld"		/**/
+#define SITEARCH "/pro/lib/perl5/site_perl/5.24.3/i686-linux-64int-ld"		/**/
+#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.24.3/i686-linux-64int-ld"		/**/
 
 /* SITELIB:
  *	This symbol contains the name of the private library for this package.
@@ -2142,8 +2142,8 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/pro/lib/perl5/site_perl/5.24.2"		/**/
-#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.24.2"		/**/
+#define SITELIB "/pro/lib/perl5/site_perl/5.24.3"		/**/
+#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.24.3"		/**/
 #define SITELIB_STEM "/pro/lib/perl5/site_perl"		/**/
 
 /* SSize_t:
@@ -4282,7 +4282,7 @@
  *	script to make sure (one hopes) that it runs with perl and not
  *	some shell.
  */
-#define STARTPERL "#!/pro/bin/perl5.24.2"		/**/
+#define STARTPERL "#!/pro/bin/perl5.24.3"		/**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *	This symbol, if defined, tells that there is an array
Index: gnu/usr.bin/perl/Porting/epigraphs.pod
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/epigraphs.pod,v
retrieving revision 1.4
diff -u -p -r1.4 epigraphs.pod
--- gnu/usr.bin/perl/Porting/epigraphs.pod	14 Aug 2017 13:48:46 -0000	1.4
+++ gnu/usr.bin/perl/Porting/epigraphs.pod	14 Sep 2017 02:21:45 -0000
@@ -17,6 +17,60 @@ Consult your favorite dictionary for det
 
 =head1 EPIGRAPHS
 
+=head2 v5.27.3 - Rodgers and Hammerstein, "You'll Never Walk Alone"
+
+L<Announced on 2017-07-20 by Matthew Horsfall|http://www.nntp.perl.org/group/perl.perl5.porters/2017/08/msg245988.html>
+
+  When you walk through a storm
+  Hold your head up high
+  And don't be afraid of the dark
+
+  At the end of a storm
+  There's a golden sky
+  And the sweet silver song of a lark
+
+  Walk on through the wind
+  Walk on through the rain
+  Though your dreams be tossed and blown
+
+  Walk on, walk on
+  With hope in your heart
+  And you'll never walk alone
+
+  You'll never walk alone
+
+  Walk on, walk on
+  With hope in your heart
+  And you'll never walk alone
+
+  You'll never walk alone
+
+=head2 v5.27.2 - Lev Grossman, Codex
+
+L<Announced on 2017-07-20 by Aaron Crane|http://www.nntp.perl.org/group/perl.perl5.porters/2017/07/msg245585.html>
+
+  He went back for another stack of books: a three-volume English legal
+  treatise; a travel guide to Tuscany from the '20s crammed with faded
+  Italian wildflowers that fluttered out from between the pages like
+  moths; a French edition of Turgeniev so decayed that it came apart in
+  his hands; a register of London society from 1863. In a way it was
+  idiotic. He was treating these books like they were holy relics. It
+  wasn't like he would ever actually read them. But there was something
+  magnetic about them, something that compelled respect, even the silly
+  ones, like the Enlightenment treatise about how lightning was caused
+  by bees. They were information, data, but not in the form he was used
+  to dealing with it. They were non-digital, nonelectrical chunks of
+  memory, not stamped out of silicon but laboriously crafted out of wood
+  pulp and ink, leather and glue. Somebody had cared enough to write
+  these things; somebody else had cared enough to buy them, possibly
+  even read them, at the very least keep them safe for 150 years,
+  sometimes longer, when they could have vanished at the touch of a
+  spark. That made them worth something, didn't it, just by itself?
+  Though most of them would have bored him rigid the second he cracked
+  them open, which there wasn't much chance of. Maybe that was what he
+  found so appealing: the sight of so many books that he'd never have to
+  read, so much work he'd never have to do.
+
 =head2 v5.27.1 - Rona Munro, Doctor Who: Survival
 
 L<Announced on 2017-06-20 by Eric Herman|http://www.nntp.perl.org/group/perl.perl5.porters/2017/06/msg245055.html>
@@ -289,6 +343,30 @@ L<Announced on 2016-05-09 by Ricardo Sig
   To find that the utmost reward
     Of daring should be still to dare.
 
+=head2 v5.24.2 - Roald Dahl, "The Three Little Pigs"
+
+L<Announced on 2017-07-15 by Steve Hay|http://www.nntp.perl.org/group/perl.perl5.porters/2017/07/msg245527.html>
+
+  A short while later, through the wood,
+  Came striding brave Miss Riding Hood.
+  The Wolf stood there, his eyes ablaze
+  And yellowish, like mayonnaise.
+  His teeth were sharp, his gums were raw,
+  And spit was dripping from his jaw.
+  Once more the maiden's eyelid flickers.
+  She draws the pistol from her knickers.
+  Once more, she hits the vital spot,
+  And kills him with a single shot.
+  Pig, peeping through the window, stood
+  And yelled, 'Well done, Miss Riding Hood!'
+
+  Ah, Piglet, you must never trust
+  Young ladies from the upper crust.
+  For now, Miss Riding Hood, one notes,
+  Not only has two wolfskin coats,
+  But when she goes from place to place,
+  She has a PIGSKIN TRAVELLING CASE.
+
 =head2 v5.24.2-RC1 - Roald Dahl, "The Three Little Pigs"
 
 L<Announced on 2017-07-01 by Steve Hay|http://www.nntp.perl.org/group/perl.perl5.porters/2017/07/msg245292.html>
@@ -832,6 +910,28 @@ L<Announced on 2015-06-20 by Ricardo Sig
   To be just like them
   They sing while you slave and I just get bored
   I ain't gonna work on Maggie's farm no more
+
+=head2 v5.22.4 - Roald Dahl, "Little Red Riding Hood and the Wolf"
+
+L<Announced on 2017-07-15 by Steve Hay|http://www.nntp.perl.org/group/perl.perl5.porters/2017/07/msg245526.html>
+
+  Then Little Red Riding Hood said, 'But Grandma,
+  what a lovely great big furry coat you have on.'
+  'That's wrong!' cried Wolf. 'Have you forgot
+  'To tell me what BIG TEETH I've got?
+  'Ah well, no matter what you say,
+  'I'm going to eat you anyway.'
+  The small girl smiles. One eyelid flickers.
+  She whips a pistol from her knickers.
+  She aims it at the creature's head
+  And bang bang bang, she shoots him dead.
+
+  A few weeks later, in the wood,
+  I came across Miss Riding Hood.
+  But what a change! No cloak of red,
+  No silly hood upon her head.
+  She said, 'Hello, and do please note
+  'My lovely furry WOLFSKIN COAT.'
 
 =head2 v5.22.4-RC1 - Roald Dahl, "Little Red Riding Hood and the Wolf"
 
Index: gnu/usr.bin/perl/Porting/perldelta_template.pod
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/perldelta_template.pod,v
retrieving revision 1.4
diff -u -p -r1.4 perldelta_template.pod
--- gnu/usr.bin/perl/Porting/perldelta_template.pod	14 Aug 2017 13:48:46 -0000	1.4
+++ gnu/usr.bin/perl/Porting/perldelta_template.pod	14 Sep 2017 02:21:45 -0000
@@ -378,7 +378,7 @@ here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.24.2..HEAD
+  perl Porting/acknowledgements.pl v5.24.3..HEAD
 
 =head1 Reporting Bugs
 
Index: gnu/usr.bin/perl/Porting/todo.pod
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/Porting/todo.pod,v
retrieving revision 1.4
diff -u -p -r1.4 todo.pod
--- gnu/usr.bin/perl/Porting/todo.pod	14 Aug 2017 13:48:46 -0000	1.4
+++ gnu/usr.bin/perl/Porting/todo.pod	14 Sep 2017 02:21:45 -0000
@@ -467,7 +467,7 @@ Natively 64-bit systems need neither -Du
 On these systems, it might be the default compilation mode, and there
 is currently no guarantee that passing no use64bitall option to the
 Configure process will build a 32bit perl. Implementing -Duse32bit*
-options would be nice for perl 5.24.2.
+options would be nice for perl 5.24.3.
 
 =head2 Profile Perl - am I hot or not?
 
@@ -1170,7 +1170,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lis
 =head1 Big projects
 
 Tasks that will get your name mentioned in the description of the "Highlights
-of 5.24.2"
+of 5.24.3"
 
 =head2 make ithreads more robust
 
Index: gnu/usr.bin/perl/ext/POSIX/POSIX.xs
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/ext/POSIX/POSIX.xs,v
retrieving revision 1.23
diff -u -p -r1.23 POSIX.xs
--- gnu/usr.bin/perl/ext/POSIX/POSIX.xs	5 Feb 2017 00:32:13 -0000	1.23
+++ gnu/usr.bin/perl/ext/POSIX/POSIX.xs	14 Sep 2017 02:22:28 -0000
@@ -1153,7 +1153,7 @@ static NV my_trunc(NV x)
 #  define NV_PAYLOAD_TYPE NV
 #endif
 
-#ifdef LONGDOUBLE_DOUBLEDOUBLE
+#if defined(USE_LONG_DOUBLE) && defined(LONGDOUBLE_DOUBLEDOUBLE)
 #  define NV_PAYLOAD_SIZEOF_ASSERT(a) assert(sizeof(a) == NVSIZE / 2)
 #else
 #  define NV_PAYLOAD_SIZEOF_ASSERT(a) assert(sizeof(a) == NVSIZE)
Index: gnu/usr.bin/perl/ext/POSIX/lib/POSIX.pm
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/ext/POSIX/lib/POSIX.pm,v
retrieving revision 1.2
diff -u -p -r1.2 POSIX.pm
--- gnu/usr.bin/perl/ext/POSIX/lib/POSIX.pm	5 Feb 2017 00:32:13 -0000	1.2
+++ gnu/usr.bin/perl/ext/POSIX/lib/POSIX.pm	14 Sep 2017 02:22:28 -0000
@@ -4,7 +4,7 @@ use warnings;
 
 our ($AUTOLOAD, %SIGRT);
 
-our $VERSION = '1.65';
+our $VERSION = '1.65_01';
 
 require XSLoader;
 
Index: gnu/usr.bin/perl/hints/catamount.sh
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/hints/catamount.sh,v
retrieving revision 1.4
diff -u -p -r1.4 catamount.sh
--- gnu/usr.bin/perl/hints/catamount.sh	14 Aug 2017 13:48:47 -0000	1.4
+++ gnu/usr.bin/perl/hints/catamount.sh	14 Sep 2017 02:22:30 -0000
@@ -31,11 +31,11 @@
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.24.2
+# mkdir -p /opt/perl-catamount/lib/perl5/5.24.3
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.24.2
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.24.3
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
Index: gnu/usr.bin/perl/hints/cygwin.sh
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/hints/cygwin.sh,v
retrieving revision 1.1.1.9
diff -u -p -r1.1.1.9 cygwin.sh
--- gnu/usr.bin/perl/hints/cygwin.sh	25 Mar 2013 20:08:47 -0000	1.1.1.9
+++ gnu/usr.bin/perl/hints/cygwin.sh	14 Sep 2017 02:22:30 -0000
@@ -31,7 +31,7 @@ test -z "$optimize" && optimize='-O3'
 man3ext='3pm'
 test -z "$use64bitint" && use64bitint='define'
 test -z "$useithreads" && useithreads='define'
-ccflags="$ccflags -DPERL_USE_SAFE_PUTENV -U__STRICT_ANSI__"
+ccflags="$ccflags -DPERL_USE_SAFE_PUTENV -U__STRICT_ANSI__ -D_GNU_SOURCE"
 # - otherwise i686-cygwin
 archname='cygwin'
 
Index: gnu/usr.bin/perl/lib/B/Op_private.pm
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/lib/B/Op_private.pm,v
retrieving revision 1.2
diff -u -p -r1.2 Op_private.pm
--- gnu/usr.bin/perl/lib/B/Op_private.pm	14 Aug 2017 13:48:47 -0000	1.2
+++ gnu/usr.bin/perl/lib/B/Op_private.pm	14 Sep 2017 02:22:34 -0000
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.024002";
+our $VERSION = "5.024003";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
Index: gnu/usr.bin/perl/plan9/config.plan9
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/plan9/config.plan9,v
retrieving revision 1.19
diff -u -p -r1.19 config.plan9
--- gnu/usr.bin/perl/plan9/config.plan9	14 Aug 2017 13:48:47 -0000	1.19
+++ gnu/usr.bin/perl/plan9/config.plan9	14 Sep 2017 02:23:07 -0000
@@ -3329,8 +3329,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.24.2"		/**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.24.2"		/**/
+#define PRIVLIB "/sys/lib/perl/5.24.3"		/**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.24.3"		/**/
 
 /* PTRSIZE:
  *	This symbol contains the size of a pointer, so that the C preprocessor
@@ -3457,9 +3457,9 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.24.2/site_perl"		/**/
-#define SITELIB_EXP "/sys/lib/perl/5.24.2/site_perl"		/**/
-#define SITELIB_STEM "/sys/lib/perl/5.24.2/site_perl"		/**/
+#define SITELIB "/sys/lib/perl/5.24.3/site_perl"		/**/
+#define SITELIB_EXP "/sys/lib/perl/5.24.3/site_perl"		/**/
+#define SITELIB_STEM "/sys/lib/perl/5.24.3/site_perl"		/**/
 
 /* Size_t_size:
  *	This symbol holds the size of a Size_t in bytes.
Index: gnu/usr.bin/perl/plan9/config_sh.sample
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/plan9/config_sh.sample,v
retrieving revision 1.7
diff -u -p -r1.7 config_sh.sample
--- gnu/usr.bin/perl/plan9/config_sh.sample	14 Aug 2017 13:48:47 -0000	1.7
+++ gnu/usr.bin/perl/plan9/config_sh.sample	14 Sep 2017 02:23:07 -0000
@@ -36,8 +36,8 @@ api_subversion='0'
 api_version='24'
 api_versionstring='5.24.0'
 ar='ar'
-archlib='/sys/lib/perl5/5.24.2/386'
-archlibexp='/sys/lib/perl5/5.24.2/386'
+archlib='/sys/lib/perl5/5.24.3/386'
+archlibexp='/sys/lib/perl5/5.24.3/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -802,17 +802,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.24.2/386'
+installarchlib='/sys/lib/perl/5.24.3/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.24.2'
+installprivlib='/sys/lib/perl/5.24.3'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.24.2/site_perl/386'
+installsitearch='/sys/lib/perl/5.24.3/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.24.2/site_perl'
+installsitelib='/sys/lib/perl/5.24.3/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -937,8 +937,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.24.2'
-privlibexp='/sys/lib/perl/5.24.2'
+privlib='/sys/lib/perl/5.24.3'
+privlibexp='/sys/lib/perl/5.24.3'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1003,13 +1003,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.24.2/site_perl/386'
+sitearch='/sys/lib/perl/5.24.3/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.24.2/site_perl'
-sitelib_stem='/sys/lib/perl/5.24.2/site_perl'
-sitelibexp='/sys/lib/perl/5.24.2/site_perl'
+sitelib='/sys/lib/perl/5.24.3/site_perl'
+sitelib_stem='/sys/lib/perl/5.24.3/site_perl'
+sitelibexp='/sys/lib/perl/5.24.3/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1042,7 +1042,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='2'
+subversion='3'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1124,8 +1124,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.24.2'
-version_patchlevel_string='version 24 subversion 2'
+version='5.24.3'
+version_patchlevel_string='version 24 subversion 3'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1139,7 +1139,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=24
-PERL_SUBVERSION=2
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=24
 PERL_API_SUBVERSION=0
